IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_111_GIRISIMSEL_RAPOR_BILGISI]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_111_GIRISIMSEL_RAPOR_BILGISI
GO

CREATE PROCEDURE [dbo].[SPUSS_111_GIRISIMSEL_RAPOR_BILGISI] 
	@HDOSYAID INT=0,
	@HTETKIKKARTID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_111_GIRISIMSEL_RAPOR_BILGISI 165651,0,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART


	SELECT	HTETKIK.HTETKIKID AS HTETKIK_HTETKIKID,
			HTETKIK.HTETKIKKARTID AS HTETKIK_HTETKIKKARTID,
			HTETKIK.HESAPISLID AS HTETKIK_HESAPISLID,
			
			HTETKIK.DURUM AS HTETKIK_DURUM,
			HTETKIK.TETKIKDOKTORID AS HTETKIK_TETKIKDOKTORID,
			
			CASE WHEN (HTETKIK.ORNEKTARIHI < HTETKIK.KABULTARIH) AND 
			(HTETKIK.KABULTARIH < HTETKIK.SONUCTARIH) AND ( HTETKIK.SONUCTARIH < HTETKIK.ONAYZAMANI) THEN
			HTETKIK.SONUCTARIH	ELSE DATEADD(MINUTE,7,HESAPISL.ITARIH) END 
																		AS HTETKIK_RAPOR_TARIHI,				
			HTETKIK.HTSONUC												AS USS_111_GIRISIMSEL_KARDIYOLOJI_ANJIYOGRAFI_SONUC,
			HTETKIK.HTRAPORU											AS USS_111_GIRISIMSEL_KARDIYOLOJI_ANJIYOGRAFI_KARAR,
			USS111GIRKAR.KORONER_SISTEM_BASKINLIK_BILGISI				AS USS_111_GIRISIMSEL_KARDIYOLOJI_KORONER_SISTEM_BASKINLIK_BILGISI,         
			USS111GIRKAR.LEFT_DOMINANCE									AS USS_111_GIRISIMSEL_KARDIYOLOJI_LEFT_DOMINANCE,
			USS111GIRKAR.RIGHT_DOMINANCE								AS USS_111_GIRISIMSEL_KARDIYOLOJI_RIGHT_DOMINANCE,
			USS111GIRKAR.BALON											AS USS_111_GIRISIMSEL_KARDIYOLOJI_BALON,
			USS111GIRKAR.STENT											AS USS_111_GIRISIMSEL_KARDIYOLOJI_STENT,
			HTETKIK.AccessionNo											AS HTETKIK_ACCESSION_NUMBER,
			HESAPISL.HESAPISLID											AS HESAPISL_ISLEM_REFERANS_NUMARASI ,
			USS111GIRKAR.GIRISIMSEL_KARDIYOLOJI_KULLANILAN_MALZEMELER 	AS USS_111_GIRISIMSEL_KARDIYOLOJI_GIRISIMSEL_KARDIYOLOJI_KULLANILAN_MALZEMELER ,			
			USS111GIRKAR.DIGER											AS USS_111_GIRISIMSEL_KARDIYOLOJI_DIGER,
			TITEM.ITEMKODU2												AS USS_111_GIRISIMSEL_KARDIYOLOJI_UYGULANAN_ISLEM_REFERANS_NUMARASI,
			HESAPISL.SNOgoNDERILDI AS HESAPISL_SNOgoNDERILDI,			
			TITEM.ITEMADI AS TITEM_ITEMADI,
			ISNULL(UYGDR.DRTCKIMLIKNO,'') AS TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI ,
			USS111GIRKAR.ID AS USS_111_GIRISIMSEL_KARDIYOLOJI_USS111ID
	 INTO #TMPTETKIK
	 FROM   HESAPISL WITH(NOLOCK)
			JOIN HTETKIK WITH(NOLOCK) ON HTETKIK.HESAPISLID = HESAPISL.HESAPISLID
			JOIN TITEM WITH(NOLOCK) ON TITEM.ITEMID = HESAPISL.ITEMID
			LEFT JOIN TBOLUM ISTBOLUM WITH(NOLOCK) ON ISTBOLUM.BOLUMID = HESAPISL.ISTBOLUMID
            LEFT JOIN TBOLUM UYGBOLUM WITH(NOLOCK) ON UYGBOLUM.BOLUMID = HESAPISL.UYGBOLUMID
			LEFT JOIN TDRKIMLIK ISTDR WITH(NOLOCK) ON ISTDR.DRID = HESAPISL.ISTDRID
			LEFT JOIN TDRKIMLIK UYGDR WITH(NOLOCK) ON UYGDR.DRID = HESAPISL.UYGDRID			
			LEFT JOIN USS_111_GIRISIMSEL_KARDIYOLOJI_RAPOR_KAYIT USS111GIRKAR WITH(NOLOCK) ON USS111GIRKAR.HDOSYAID = HESAPISL.HDOSYAID	

	WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI = 1 AND HESAPISL.TEKLIF = 0 AND HESAPISL.SNKAYDET=1 
	        AND ITEMKODU2 IN ('700880','700890','700900','700910','700920','700921','700922',
							  'P700880','P700890','P700900','P700910','P700920','P700921','P700922') 	
			AND HTETKIK.DURUM=2 
			AND HESAPISL.HDOSYAID = @HDOSYAID
			AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(HTETKIK.USSTETKIKgoNDERILDI,0)=0))
	ORDER BY HESAPISL.HESAPISLID


	SELECT 	SUBELER.SUBEADI AS SUBELER_SUBEADI,			
			HDOSYA.SUBEID AS HDOSYA_SUBEID,
			HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,
			HTETKIKKART.HTETKIKKARTID AS HTETKIKKART_HTETKIKKARTID,			
			HTETKIKKART.ILKGIRISTRH AS HTETKIKKART_ILKGIRISTRH,
			HTETKIKKART.GIRISTARIH AS HTETKIKKART_GIRISTARIH,
			HKIMLIK.HADI AS HKIMLIK_HADI,
			HKIMLIK.HSOYADI AS HKIMLIK_HSOYADI,
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU				
	INTO #TMPTETKIKKART
	FROM	HDOSYA WITH(NOLOCK)
	JOIN HKIMLIK ON HKIMLIK.HKIMLIKID  = HDOSYA.HKIMLIKID 
	JOIN SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
	JOIN HTETKIKKART WITH(NOLOCK) ON HTETKIKKART.HDOSYAID = HDOSYA.HDOSYAID	   
	WHERE   HDOSYA.HDTEKLIF = 0
		AND	HDOSYA.HDIPTAL = 0
		AND HDOSYA.HDOSYAID = @HDOSYAID
		AND (@HTETKIKKARTID=0 OR HTETKIKKART.HTETKIKKARTID=@HTETKIKKARTID)
	ORDER BY HTETKIKKART.HTETKIKKARTID



	IF (SELECT COUNT(*) FROM #TMPTETKIKKART) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Tetkik Tamamlanmamış durumunda olabilir yada Dosyaya ait tetkik kaydı bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPTETKIK) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Tetkik içeriği doldurulmamış yada tetkik Tamamlanmamış durumunda olabilir. Dolu Kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPTETKIKKART WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPTETKIKKART WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine tetkik kaydı yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPTETKIKKART
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURHTETKIKKARTID INT
		DECLARE CURTETKIKKART CURSOR FOR SELECT HTETKIKKART_HTETKIKKARTID FROM #TMPTETKIKKART
		OPEN CURTETKIKKART
		FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0


					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE HTETKIK_DURUM<>2 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE HTETKIK_DURUM<>2 AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'') + + ' işlemi tamamlanmamış durumdadır. '

					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE ISNULL(HESAPISL_SNOgoNDERILDI,0)<>1 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE ISNULL(HESAPISL_SNOgoNDERILDI,0)<>1  AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'')++ ' işlemi USS''ye hizmet gönderimini yapınız '

					IF EXISTS(SELECT HTETKIK_HTETKIKID FROM #TMPTETKIK WHERE  ISNULL(TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI,'')='')
						SET @HATA = @HATA + ' ' + 'Tetkik istemini yapan doktorun TC Kimlik numarası tanımlanmamış. '
						

					IF (SELECT COUNT(*) FROM #TMPTETKIK WHERE HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(

										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '111' AS 'messageType/@code',
										   'Girişimsel Kardiyoloji Rapor Kayıt' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 																	
																		
																		'1' AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@version',
																		'e22e2d85-bd88-4896-9c41-75097a2f2e57' AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@codeSystemGuid',
																		ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_KORONER_SISTEM_BASKINLIK_BILGISI,'')AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@code',
																		CASE WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_KORONER_SISTEM_BASKINLIK_BILGISI,'')='1' THEN 'Left Dominance'
																			 WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_KORONER_SISTEM_BASKINLIK_BILGISI,'')='2' THEN 'Right Dominance'
																			 ELSE '' END  AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@value',
                                                                        ISNULL(DBO.RTF2Text(USS_111_GIRISIMSEL_KARDIYOLOJI_ANJIYOGRAFI_KARAR), '') AS 'GIRISIMSEL_KARDIYOLOJI_KARAR/@value',
																		ISNULL(DBO.RTF2Text(USS_111_GIRISIMSEL_KARDIYOLOJI_ANJIYOGRAFI_SONUC), '') AS 'GIRISIMSEL_KARDIYOLOJI_SONUC/@value',
																		ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_GIRISIMSEL_KARDIYOLOJI_KULLANILAN_MALZEMELER, '') AS 'GIRISIMSEL_KARDIYOLOJI_KULLANILAN_MALZEMELER/@value',
																		LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIK_RAPOR_TARIHI,120),' ',''),'-',''),':',''),12)	 AS 'RAPOR_TARIHI/@value',
	
																		(
																			 SELECT  
																     																		
																					--<LEFT_DOMINANCE version="1" codeSystemGuid="2cb612c2-08aa-4c99-b300-9859826ae83a" code="Code" value="LEFT_DOMINANCE" />
																					
																					'1' AS 'LEFT_DOMINANCE/@version',
																					'2cb612c2-08aa-4c99-b300-9859826ae83a' AS 'LEFT_DOMINANCE/@codeSystemGuid',
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_LEFT_DOMINANCE,'')AS 'LEFT_DOMINANCE/@code',
																					(SELECT TSNLEFTDOMINANCE.LEFTDOMINANCEADI FROM TSNLEFTDOMINANCE 
																					WHERE TSNLEFTDOMINANCE.LEFTDOMINANCEKODU=USS_111_GIRISIMSEL_KARDIYOLOJI_LEFT_DOMINANCE)  AS 'LEFT_DOMINANCE/@value',
																					
																					--<RIGHT_DOMINANCE version="1" codeSystemGuid="451ed57b-aee4-4930-9680-62ed5f8c07c5" code="Code" value="RIGHT_DOMINANCE" />
																					'1' AS 'RIGHT_DOMINANCE/@version',
																					'451ed57b-aee4-4930-9680-62ed5f8c07c5' AS 'RIGHT_DOMINANCE/@codeSystemGuid',
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_RIGHT_DOMINANCE,'')AS 'RIGHT_DOMINANCE/@code',
																					(SELECT TSNRIGHTDOMINANCE.RIGHTDOMINANCEADI FROM TSNRIGHTDOMINANCE 
																					WHERE TSNRIGHTDOMINANCE.RIGHTDOMINANCEKODU=USS_111_GIRISIMSEL_KARDIYOLOJI_RIGHT_DOMINANCE)  AS 'RIGHT_DOMINANCE/@value',
																					
																					--XX-<BALON version="1" codeSystemGuid="7345c028-784d-4d95-972e-2b1e5253f518" code="Code" value="BALON" />
																					'1' AS 'BALON/@version',
																					'7345c028-784d-4d95-972e-2b1e5253f518' AS 'BALON/@codeSystemGuid',
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_BALON,'')AS 'BALON/@code',
																					CASE WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_BALON,'')='1' THEN 'VAR'
																						 WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_BALON,'')='2' THEN 'YOK' END  AS 'BALON/@value',																					
																																										
																					--<STENT version="1" codeSystemGuid="7345c028-784d-4d95-972e-2b1e5253f518" code="Code" value="STENT" />
																					'1' AS 'STENT/@version',
																					'7345c028-784d-4d95-972e-2b1e5253f518' AS 'STENT/@codeSystemGuid',
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_STENT,'')AS 'STENT/@code',
																					CASE WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_STENT,'')='1' THEN 'VAR'
																						 WHEN ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_STENT,'')='2' THEN 'YOK' END  AS 'STENT/@value',
																					
																					-- <ISLEM_REFERANS_NUMARASI value="ISLEM_REFERANS_NUMARASI" />
																					ISNULL(HESAPISL_ISLEM_REFERANS_NUMARASI, '') AS 'ISLEM_REFERANS_NUMARASI/@value',
																					
																					-- <ACCESSION_NUMBER value="ACCESSION_NUMBER" />
																					ISNULL(HTETKIK_ACCESSION_NUMBER, '') AS 'ACCESSION_NUMBER/@value',
																					
																					
																					--<DIGER value="DIGER" />
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_DIGER, '') AS 'DIGER/@value',


																					
																					--<UYGULANAN_ISLEM_REFERANS_NUMARASI value="UYGULANAN_ISLEM_REFERANS_NUMARASI" />
																					ISNULL(USS_111_GIRISIMSEL_KARDIYOLOJI_UYGULANAN_ISLEM_REFERANS_NUMARASI, '') AS 'UYGULANAN_ISLEM_REFERANS_NUMARASI/@value',

																					/*BALONLARI EKLE  USS_111_GIRISIMSEL_KARDIYOLOJI_USS111ID*/
																					(
																						 SELECT  
																     							ISNULL(CONVERT(VARCHAR(20), CAST(BALON_CAPI AS money), 1),'') AS 'BALON_CAPI/@value',
																								ISNULL(CONVERT(VARCHAR(20), CAST(BALON_UZUNLUGU AS money), 1),'') AS 'BALON_UZUNLUGU/@value',
																								
																								--<BALON_TIPI version="1" codeSystemGuid="1bdc013d-3c9e-4092-ac7b-3d7f7115ff65" code="Code" value="BALON_TIPI" />
																								'1' AS 'BALON_TIPI/@version',
																								'1bdc013d-3c9e-4092-ac7b-3d7f7115ff65' AS 'BALON_TIPI/@codeSystemGuid',
																								ISNULL(BALON_TIPI,'')AS 'BALON_TIPI/@code',
																								CASE WHEN ISNULL(BALON_TIPI,'')='1' THEN 'SEMİ KOMPLİYAN'
																						             WHEN ISNULL(BALON_TIPI,'')='2' THEN 'NON KOMPLİYAN' 
																									 WHEN ISNULL(BALON_TIPI,'')='3' THEN 'CTO' 																								
																								END  AS 'BALON_TIPI/@value'	
																		
																						FROM [USS_111_GIRISIMSEL_KARDIYOLOJI_RAPOR_KAYIT_DETAY] WITH(NOLOCK) WHERE TUR=2 AND USS111_ID=USS_111_GIRISIMSEL_KARDIYOLOJI_USS111ID
																						
																						FOR XML PATH('BALON_ISLEM_BILGISI'),TYPE
																					)
																					/*BALON SON*/,

																					/*STENT EKLE  USS_111_GIRISIMSEL_KARDIYOLOJI_USS111ID*/
																					(
																						 SELECT  
																     							ISNULL(CONVERT(VARCHAR(20), CAST(STENT_CAPI AS money), 1),'') AS 'STENT_CAPI/@value',																								
																								ISNULL(CONVERT(VARCHAR(20), CAST(STENT_UZUNLUGU AS money), 1),'') AS 'STENT_UZUNLUGU/@value',																								
																								
																								'1' AS 'STENT_TIPI/@version',
																								'9d152bd3-bb17-4d5a-ba6a-12e0f09cb1bc' AS 'STENT_TIPI/@codeSystemGuid',
																								ISNULL(STENT_TIPI,'')AS 'STENT_TIPI/@code',
																								CASE WHEN ISNULL(BALON_TIPI,'')='1' THEN 'İLAÇLI'
																						             WHEN ISNULL(STENT_TIPI,'')='2' THEN 'İLAÇSIZ' 
																									 WHEN ISNULL(STENT_TIPI,'')='3' THEN 'BIORESORBABLE' 																								
																									 WHEN ISNULL(STENT_TIPI,'')='4' THEN 'GREFT' 
																								END  AS 'STENT_TIPI/@value'	
																		                        
																						FROM [USS_111_GIRISIMSEL_KARDIYOLOJI_RAPOR_KAYIT_DETAY] WITH(NOLOCK) WHERE TUR=1 AND USS111_ID=USS_111_GIRISIMSEL_KARDIYOLOJI_USS111ID
																						
																						FOR XML PATH('STENT_ISLEM_BILGISI'),TYPE
																					)
																					/*STENT SON*/


																		
																			FROM #TMPTETKIK
																			WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																			FOR XML PATH('KARDIYOLOJI_RAPOR_ISLEM_BILGISI'),TYPE
																		),
																														
																	(
																		SELECT ISNULL(TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI, '') AS 'HEKIM_KIMLIK_NUMARASI/@value'
																		FROM #TMPTETKIK
																		WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																		FOR XML PATH('KARDIYOLOJI_HEKIM_BILGISI'), TYPE 
																	)

																		
																FROM #TMPTETKIK
																WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																FOR XML PATH('GIRISIMSEL_RAPOR_BILGISI'),TYPE
															)
														FOR XML PATH('GIRISIMSEL_RADYOLOJI_RAPOR_BILGILERI'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPTETKIKKART WITH(NOLOCK)
										   WHERE HTETKIKKART_HTETKIKKARTID = @CURHTETKIKKARTID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURHTETKIKKARTID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURHTETKIKKARTID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURHTETKIKKARTID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURTETKIKKART
		DEALLOCATE CURTETKIKKART

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm tetkikler zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURHTETKIKKARTID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART


	SELECT * FROM @goNDERIMTABLOSU


END
